> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of previous configurations of this experiment



## OpenAPI

````yaml /api-reference/4.2/service-experiments.json get /experiments/{id}/history
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service experiments
servers:
  - url: /api/apollo/
security: []
tags:
  - name: experiments
paths:
  /experiments/{id}/history:
    get:
      tags:
        - 4.2 Experiments API
      summary: Get a list of previous configurations of this experiment
      operationId: getHistory
      parameters:
        - name: id
          in: path
          description: The experiment ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExperimentHistoryEntry'
components:
  schemas:
    ExperimentHistoryEntry:
      type: object
      properties:
        experiment:
          $ref: '#/components/schemas/Experiment'
        experimentStartDate:
          type: string
          format: date-time
          readOnly: true
        experimentEndDate:
          type: string
          format: date-time
          readOnly: true
    Experiment:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        uniqueIdParameter:
          type: string
          readOnly: true
        baseSignalsCollection:
          type: string
          readOnly: true
        variants:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ExperimentVariant'
        automaticallyAdjustTraffic:
          type: boolean
          readOnly: true
          default: false
        enabled:
          type: boolean
          readOnly: true
          default: false
        startTimestamp:
          type: string
          format: date-time
          readOnly: true
        runId:
          type: string
          readOnly: true
        metrics:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ExperimentMetric'
    ExperimentVariant:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        collection:
          type: string
          readOnly: true
        queryPipeline:
          type: string
          readOnly: true
        params:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ParamAndValue'
        weight:
          type: number
          format: double
          readOnly: true
    ExperimentMetric:
      type: object
      properties:
        name:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        jobId:
          type: string
        binary:
          type: boolean
          readOnly: true
          default: false
        primary:
          type: boolean
          readOnly: true
          default: false
    ParamAndValue:
      type: object
      properties:
        key:
          type: string
          readOnly: true
        value:
          type: string
          readOnly: true
        policy:
          type: string
          readOnly: true
          enum:
            - REPLACE
            - APPEND
            - REMOVE
            - DEFAULT

````